use axum::{extract::Multipart, Json};

use crate::{
    processors::liquid_rescale_processor::liquid_rescale_processor, utilities::app_error::AppError,
};

pub async fn liquid_rescale_route(multipart: Multipart) -> Result<Json<Vec<u8>>, AppError> {
    let image_data = liquid_rescale_processor(multipart).await?;
    Ok(Json(image_data))
}
